/**
 * Location custom post type javascript class
 */

class SGC_Location {
    
    constructor() {	}
    
    load_course () {
        if ($('#sgc_locationcourse').text() != '') {
            var obj_course = JSON.parse($('#sgc_locationcourse').text());

            $('form').each(function () {
                // Load the par column
                var counter = 0;
                $(this).find(':input').each(function () {
                    if ($(this).attr('name') === 'sgc_coursepar') {
                        $(this).val(obj_course[counter].par);
                        counter++;
                    }
                });

                // Load the length column
                var counter = 0;
                $(this).find(':input').each(function () {
                    if ($(this).attr('name') === 'sgc_courselength') {
                        $(this).val(obj_course[counter].length);
                        counter++;
                    }
                });
            });
        }
    }
    
    /**
     * Hook into the publish button and perform some actions before the submit
     */
    publish_hook () {
        var obj_course = [];
        
        $('form').each(function () {
            //load the par columnn
            var counter = 0;
            $(this).find(':input').each(function () {
                if ($(this).attr('name') === 'sgc_coursepar') {
                    obj_course[counter] = { 'par':$(this).val() };
                    counter++;
                }
            });

            // Load the length column
            var counter = 0;
            $(this).find(':input').each(function () {
                if ($(this).attr('name') === 'sgc_courselength') {
                    obj_course[counter].length = $(this).val();
                    counter++;
                }
            });
        });
        $('#sgc_locationcourse').text(JSON.stringify(obj_course));
    }
}