<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://bitbucket.org/matthewlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/public/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="sgc_eventcontent">
    <?= wpautop($content) ?>
</div>
<div class="sgc_eventcontent">
    <input type="hidden" id="sgc_javascript" value="sgc_event">
    <input type="hidden" id="sgc_eventid" value="<?= $eventid ?>">
    <div class="sgc_eventgroups" id="sgc_eventgroups" <?php if( ! $show_eventgroups ): ?> style="display: none" <?php endif ?>><div class="lds-ring"><div></div><div></div><div></div><div></div></div>&nbsp;Groups...</div>
    <div class="sgc_eventcheckin" id="sgc_eventcheckin" <?php if( ! $show_eventcheckin ): ?> style="display: none" <?php endif ?>><div class="lds-ring"><div></div><div></div><div></div><div></div></div>&nbsp;Checkin...</div>
    <div class="sgc_eventscores" id="sgc_eventscores"></div>
</div>
