<?php

/**
 * Provide a public-facing view for the event post header
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://bitbucket.org/matthewlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/public/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="sgc_event_header">
    <ul class="sgc_event_header">
        <li class="sgc_event_header_date"><?= $event_header_date ?></li>
        <?php if ( get_option('sgc_singleteam') != 'true' ): ?> <li class="sgc_event_header_team"><?= $event_header_team ?></li> <?php endif ?>
        <li class="sgc_event_header_location"><?= $event_header_location ?></ul>
    </ul>
</div>